diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/sta-wifi-mac.h ns-3.44/src/wifi/model/sta-wifi-mac.h
--- ns-3.43/src/wifi/model/sta-wifi-mac.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/sta-wifi-mac.h	2025-03-09 16:55:49.799372700 -0700
@@ -11,7 +11,6 @@
 #ifndef STA_WIFI_MAC_H
 #define STA_WIFI_MAC_H
 
-#include "mgt-headers.h"
 #include "wifi-mac.h"
 
 #include "ns3/eht-configuration.h"
@@ -21,6 +20,7 @@
 
 class AmpduAggregationTest;
 class MultiLinkOperationsTestBase;
+class ProbeExchTest;
 
 namespace ns3
 {
@@ -32,7 +32,7 @@
 class EmlsrManager;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Scan type (active or passive)
  */
@@ -43,7 +43,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Structure holding scan parameters
  */
@@ -73,7 +73,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Enumeration for power management modes
  */
@@ -86,7 +86,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The Wifi MAC high model for a non-AP STA in a BSS. The state
  * machine is as follows:
@@ -134,8 +134,8 @@
   public:
     /// Allow test cases to access private members
     friend class ::AmpduAggregationTest;
-    /// Allow test cases to access private members
     friend class ::MultiLinkOperationsTestBase;
+    friend class ::ProbeExchTest;
 
     /// type of the management frames used to get info about APs
     using MgtFrameType =
@@ -168,8 +168,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -180,84 +180,111 @@
     int64_t AssignStreams(int64_t stream) override;
 
     /**
-     * \param phys the physical layers attached to this MAC.
+     * @param phys the physical layers attached to this MAC.
      */
     void SetWifiPhys(const std::vector<Ptr<WifiPhy>>& phys) override;
 
     /**
      * Set the Association Manager.
      *
-     * \param assocManager the Association Manager
+     * @param assocManager the Association Manager
      */
     void SetAssocManager(Ptr<WifiAssocManager> assocManager);
 
     /**
      * Set the EMLSR Manager.
      *
-     * \param emlsrManager the EMLSR Manager
+     * @param emlsrManager the EMLSR Manager
      */
     void SetEmlsrManager(Ptr<EmlsrManager> emlsrManager);
 
     /**
-     * \return the EMLSR Manager
+     * @return the EMLSR Manager
      */
     Ptr<EmlsrManager> GetEmlsrManager() const;
 
     /**
-     * Enqueue a probe request packet for transmission on the given link.
+     * Get the frame body of the Probe Request to transmit on the given link.
+     *
+     * @param linkId the ID of the given link
+     * @return the Probe Request frame body
+     */
+    MgtProbeRequestHeader GetProbeRequest(uint8_t linkId) const;
+
+    /**
+     * Get the frame body of the Multi-Link Probe Request to transmit on the given link.
      *
-     * \param linkId the ID of the given link
+     * @param linkId the ID of the given link
+     * @param apLinkIds ID of the links on which the requested APs, affiliated with the
+     *                  AP MLD, operate
+     * @param apMldId the AP MLD ID to include in the Common Info field
+     * @return the Multi-Link Probe Request frame body
      */
-    void SendProbeRequest(uint8_t linkId);
+    MgtProbeRequestHeader GetMultiLinkProbeRequest(uint8_t linkId,
+                                                   const std::vector<uint8_t>& apLinkIds,
+                                                   std::optional<uint8_t> apMldId) const;
+
+    /**
+     * Enqueue the given probe request packet for transmission on the given link.
+     *
+     * @param probeReq the given Probe Request frame body
+     * @param linkId the ID of the given link
+     * @param addr1 the MAC address for the Address1 field
+     * @param addr3 the MAC address for the Address3 field
+     */
+    void EnqueueProbeRequest(const MgtProbeRequestHeader& probeReq,
+                             uint8_t linkId,
+                             const Mac48Address& addr1 = Mac48Address::GetBroadcast(),
+                             const Mac48Address& addr3 = Mac48Address::GetBroadcast());
 
     /**
      * This method is called after wait beacon timeout or wait probe request timeout has
      * occurred. This will trigger association process from beacons or probe responses
      * gathered while scanning.
      *
-     * \param bestAp the info about the best AP to associate with, if one was found
+     * @param bestAp the info about the best AP to associate with, if one was found
      */
     void ScanningTimeout(const std::optional<ApInfo>& bestAp);
 
     /**
      * Return whether we are associated with an AP.
      *
-     * \return true if we are associated with an AP, false otherwise
+     * @return true if we are associated with an AP, false otherwise
      */
     bool IsAssociated() const;
 
     /**
      * Get the IDs of the setup links (if any).
      *
-     * \return the IDs of the setup links
+     * @return the IDs of the setup links
      */
     std::set<uint8_t> GetSetupLinkIds() const;
 
     /**
      * Return the association ID.
      *
-     * \return the association ID
+     * @return the association ID
      */
     uint16_t GetAssociationId() const;
 
     /**
      * Enable or disable Power Save mode on the given link.
      *
-     * \param enableLinkIdPair a pair indicating whether to enable or not power save mode on
+     * @param enableLinkIdPair a pair indicating whether to enable or not power save mode on
      *                         the link with the given ID
      */
     void SetPowerSaveMode(const std::pair<bool, uint8_t>& enableLinkIdPair);
 
     /**
-     * \param linkId the ID of the given link
-     * \return the current Power Management mode of the STA operating on the given link
+     * @param linkId the ID of the given link
+     * @return the current Power Management mode of the STA operating on the given link
      */
     WifiPowerManagementMode GetPmMode(uint8_t linkId) const;
 
     /**
      * Set the Power Management mode of the setup links after association.
      *
-     * \param linkId the ID of the link used to establish association
+     * @param linkId the ID of the link used to establish association
      */
     void SetPmModeAfterAssociation(uint8_t linkId);
 
@@ -265,7 +292,7 @@
      * Notify that the MPDU we sent was successfully received by the receiver
      * (i.e. we received an Ack from the receiver).
      *
-     * \param mpdu the MPDU that we successfully sent
+     * @param mpdu the MPDU that we successfully sent
      */
     void TxOk(Ptr<const WifiMpdu> mpdu);
 
@@ -274,39 +301,46 @@
     /**
      * Notify the MAC that EMLSR mode has changed on the given set of links.
      *
-     * \param linkIds the IDs of the links that are now EMLSR links (EMLSR mode is disabled
+     * @param linkIds the IDs of the links that are now EMLSR links (EMLSR mode is disabled
      *                on other links)
      */
     void NotifyEmlsrModeChanged(const std::set<uint8_t>& linkIds);
 
     /**
-     * \param linkId the ID of the given link
-     * \return whether the EMLSR mode is enabled on the given link
+     * @param linkId the ID of the given link
+     * @return whether the EMLSR mode is enabled on the given link
      */
     bool IsEmlsrLink(uint8_t linkId) const;
 
     /**
      * Notify that the given PHY switched channel to operate on another EMLSR link.
      *
-     * \param phy the given PHY
-     * \param linkId the ID of the EMLSR link on which the given PHY is operating
-     * \param delay the delay after which the channel switch will be completed
+     * @param phy the given PHY
+     * @param linkId the ID of the EMLSR link on which the given PHY is operating
+     * @param delay the delay after which the channel switch will be completed
      */
     void NotifySwitchingEmlsrLink(Ptr<WifiPhy> phy, uint8_t linkId, Time delay);
 
     /**
+     * Cancel any scheduled event for connecting the given PHY to an EMLSR link.
+     *
+     * @param phyId the ID of the given PHY
+     */
+    void CancelEmlsrPhyConnectEvent(uint8_t phyId);
+
+    /**
      * Block transmissions on the given link for the given reason.
      *
-     * \param linkId the ID of the given link
-     * \param reason the reason for blocking transmissions on the given link
+     * @param linkId the ID of the given link
+     * @param reason the reason for blocking transmissions on the given link
      */
     void BlockTxOnLink(uint8_t linkId, WifiQueueBlockedReason reason);
 
     /**
      * Unblock transmissions on the given links for the given reason.
      *
-     * \param linkIds the IDs of the given links
-     * \param reason the reason for unblocking transmissions on the given links
+     * @param linkIds the IDs of the given links
+     * @param reason the reason for unblocking transmissions on the given links
      */
     void UnblockTxOnLink(std::set<uint8_t> linkIds, WifiQueueBlockedReason reason);
 
@@ -333,16 +367,16 @@
     /**
      * Get a reference to the link associated with the given ID.
      *
-     * \param linkId the given link ID
-     * \return a reference to the link associated with the given ID
+     * @param linkId the given link ID
+     * @return a reference to the link associated with the given ID
      */
     StaLinkEntity& GetLink(uint8_t linkId) const;
 
     /**
      * Cast the given LinkEntity object to StaLinkEntity.
      *
-     * \param link the given LinkEntity object
-     * \return a reference to the object casted to StaLinkEntity
+     * @param link the given LinkEntity object
+     * @return a reference to the object casted to StaLinkEntity
      */
     StaLinkEntity& GetStaLink(const std::unique_ptr<WifiMac::LinkEntity>& link) const;
 
@@ -365,13 +399,13 @@
     /**
      * Enable or disable active probing.
      *
-     * \param enable enable or disable active probing
+     * @param enable enable or disable active probing
      */
     void SetActiveProbing(bool enable);
     /**
      * Return whether active probing is enabled.
      *
-     * \return true if active probing is enabled, false otherwise
+     * @return true if active probing is enabled, false otherwise
      */
     bool GetActiveProbing() const;
 
@@ -379,9 +413,9 @@
      * Determine whether the supported rates indicated in a given Beacon frame or
      * Probe Response frame fit with the configured membership selector.
      *
-     * \param frame the given Beacon or Probe Response frame
-     * \param linkId ID of the link the mgt frame was received over
-     * \return whether the the supported rates indicated in the given management
+     * @param frame the given Beacon or Probe Response frame
+     * @param linkId ID of the link the mgt frame was received over
+     * @return whether the the supported rates indicated in the given management
      *         frame fit with the configured membership selector
      */
     bool CheckSupportedRates(std::variant<MgtBeaconHeader, MgtProbeResponseHeader> frame,
@@ -396,24 +430,24 @@
     /**
      * Process the Beacon frame received on the given link.
      *
-     * \param mpdu the MPDU containing the Beacon frame
-     * \param linkId the ID of the given link
+     * @param mpdu the MPDU containing the Beacon frame
+     * @param linkId the ID of the given link
      */
     void ReceiveBeacon(Ptr<const WifiMpdu> mpdu, uint8_t linkId);
 
     /**
      * Process the Probe Response frame received on the given link.
      *
-     * \param mpdu the MPDU containing the Probe Response frame
-     * \param linkId the ID of the given link
+     * @param mpdu the MPDU containing the Probe Response frame
+     * @param linkId the ID of the given link
      */
     void ReceiveProbeResp(Ptr<const WifiMpdu> mpdu, uint8_t linkId);
 
     /**
      * Process the (Re)Association Response frame received on the given link.
      *
-     * \param mpdu the MPDU containing the (Re)Association Response frame
-     * \param linkId the ID of the given link
+     * @param mpdu the MPDU containing the (Re)Association Response frame
+     * @param linkId the ID of the given link
      */
     void ReceiveAssocResp(Ptr<const WifiMpdu> mpdu, uint8_t linkId);
 
@@ -422,10 +456,10 @@
      * Probe Response or Association Response). If STA is not associated, this
      * information will be used for the association process.
      *
-     * \param frame the body of the given management frame
-     * \param apAddr MAC address of the AP
-     * \param bssid MAC address of BSSID
-     * \param linkId ID of the link the management frame was received over
+     * @param frame the body of the given management frame
+     * @param apAddr MAC address of the AP
+     * @param bssid MAC address of BSSID
+     * @param linkId ID of the link the management frame was received over
      */
     void UpdateApInfo(const MgtFrameType& frame,
                       const Mac48Address& apAddr,
@@ -436,9 +470,9 @@
      * Get the (Re)Association Request frame to send on a given link. The returned frame
      * never includes a Multi-Link Element.
      *
-     * \param isReassoc whether a Reassociation Request has to be returned
-     * \param linkId the ID of the given link
-     * \return the (Re)Association Request frame
+     * @param isReassoc whether a Reassociation Request has to be returned
+     * @param linkId the ID of the given link
+     * @return the (Re)Association Request frame
      */
     std::variant<MgtAssocRequestHeader, MgtReassocRequestHeader> GetAssociationRequest(
         bool isReassoc,
@@ -449,7 +483,7 @@
      * The standard is not clear on the correct queue for management frames if QoS is supported.
      * We always use the DCF.
      *
-     * \param isReassoc flag whether it is a reassociation request
+     * @param isReassoc flag whether it is a reassociation request
      *
      */
     void SendAssociationRequest(bool isReassoc);
@@ -471,9 +505,10 @@
     /**
      * Return whether we are waiting for an association response from an AP.
      *
-     * \return true if we are waiting for an association response from an AP, false otherwise
+     * @return true if we are waiting for an association response from an AP, false otherwise
      */
     bool IsWaitAssocResp() const;
+
     /**
      * This method is called after we have not received a beacon from the AP on any link.
      */
@@ -481,7 +516,7 @@
     /**
      * Restarts the beacon timer.
      *
-     * \param delay the delay before the watchdog fires
+     * @param delay the delay before the watchdog fires
      */
     void RestartBeaconWatchdog(Time delay);
     /**
@@ -492,23 +527,33 @@
      * Return an instance of SupportedRates that contains all rates that we support
      * including HT rates.
      *
-     * \param linkId the ID of the link for which the request is made
-     * \return SupportedRates all rates that we support
+     * @param linkId the ID of the link for which the request is made
+     * @return SupportedRates all rates that we support
      */
     AllSupportedRates GetSupportedRates(uint8_t linkId) const;
     /**
-     * Return the Multi-Link Element to include in the management frames transmitted
+     * Return the Basic Multi-Link Element to include in the management frames transmitted
      * on the given link
      *
-     * \param isReassoc whether the Multi-Link Element is included in a Reassociation Request
-     * \param linkId the ID of the given link
-     * \return the Multi-Link Element
+     * @param isReassoc whether the Basic Multi-Link Element is included in a Reassociation Request
+     * @param linkId the ID of the given link
+     * @return the Basic Multi-Link Element
      */
-    MultiLinkElement GetMultiLinkElement(bool isReassoc, uint8_t linkId) const;
+    MultiLinkElement GetBasicMultiLinkElement(bool isReassoc, uint8_t linkId) const;
 
     /**
-     * \param apNegSupport the negotiation type supported by the AP MLD
-     * \return the TID-to-Link Mapping element(s) to include in Association Request frame.
+     * Return the Probe Request Multi-Link Element to include in the management frames to transmit.
+     *
+     * @param apLinkIds ID of the links on which the requested APs operate
+     * @param apMldId the AP MLD ID to include in the Common Info field
+     * @return the Probe Request Multi-Link Element
+     */
+    MultiLinkElement GetProbeReqMultiLinkElement(const std::vector<uint8_t>& apLinkIds,
+                                                 std::optional<uint8_t> apMldId) const;
+
+    /**
+     * @param apNegSupport the negotiation type supported by the AP MLD
+     * @return the TID-to-Link Mapping element(s) to include in Association Request frame.
      */
     std::vector<TidToLinkMapping> GetTidToLinkMappingElements(
         WifiTidToLinkMappingNegSupport apNegSupport);
@@ -516,7 +561,7 @@
     /**
      * Set the current MAC state.
      *
-     * \param value the new state
+     * @param value the new state
      */
     void SetState(MacState value);
 
@@ -535,8 +580,8 @@
     /**
      * Set the EDCA parameters for the given link.
      *
-     * \param params the EDCA parameters
-     * \param linkId the ID of the given link
+     * @param params the EDCA parameters
+     * @param linkId the ID of the given link
      */
     void SetEdcaParameters(const EdcaParams& params, uint8_t linkId);
 
@@ -555,16 +600,16 @@
     /**
      * Set the MU EDCA parameters for the given link.
      *
-     * \param params the MU EDCA parameters
-     * \param linkId the ID of the given link
+     * @param params the MU EDCA parameters
+     * @param linkId the ID of the given link
      */
     void SetMuEdcaParameters(const MuEdcaParams& params, uint8_t linkId);
 
     /**
      * Return the Capability information for the given link.
      *
-     * \param linkId the ID of the given link
-     * \return the Capability information that we support
+     * @param linkId the ID of the given link
+     * @return the Capability information that we support
      */
     CapabilityInformation GetCapabilities(uint8_t linkId) const;
 
@@ -577,8 +622,8 @@
      * Get the current primary20 channel used on the given link as a
      * (channel number, PHY band) pair.
      *
-     * \param linkId the ID of the given link
-     * \return a (channel number, PHY band) pair
+     * @param linkId the ID of the given link
+     * @return a (channel number, PHY band) pair
      */
     WifiScanParams::Channel GetCurrentChannel(uint8_t linkId) const;
 
@@ -608,23 +653,26 @@
     /// store the UL TID-to-Link Mapping included in the Association Request frame
     WifiTidLinkMapping m_ulTidLinkMappingInAssocReq;
 
-    TracedCallback<Mac48Address> m_assocLogger;             ///< association logger
-    TracedCallback<uint8_t, Mac48Address> m_setupCompleted; ///< link setup completed logger
-    TracedCallback<Mac48Address> m_deAssocLogger;           ///< disassociation logger
-    TracedCallback<uint8_t, Mac48Address> m_setupCanceled;  ///< link setup canceled logger
-    TracedCallback<Time> m_beaconArrival;                   ///< beacon arrival logger
-    TracedCallback<ApInfo> m_beaconInfo;                    ///< beacon info logger
+    TracedCallback<Mac48Address> m_assocLogger;                    ///< association logger
+    TracedCallback<uint8_t, Mac48Address> m_setupCompleted;        ///< link setup completed logger
+    TracedCallback<Mac48Address> m_deAssocLogger;                  ///< disassociation logger
+    TracedCallback<Time> m_beaconArrival;                          ///< beacon arrival logger
+    TracedCallback<ApInfo> m_beaconInfo;                           ///< beacon info logger
+    TracedCallback<uint8_t, Ptr<WifiPhy>> m_emlsrLinkSwitchLogger; ///< EMLSR link switch logger
 
     /// TracedCallback signature for link setup completed/canceled events
     using LinkSetupCallback = void (*)(uint8_t /* link ID */, Mac48Address /* AP address */);
+
+    /// TracedCallback signature for EMLSR link switch events
+    using EmlsrLinkSwitchCallback = void (*)(uint8_t /* link ID */, Ptr<WifiPhy> /* PHY */);
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the output stream
- * \param apInfo the AP information
- * \returns a reference to the stream
+ * @param os the output stream
+ * @param apInfo the AP information
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const StaWifiMac::ApInfo& apInfo);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/supported-rates.h ns-3.44/src/wifi/model/supported-rates.h
--- ns-3.43/src/wifi/model/supported-rates.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/supported-rates.h	2025-03-09 16:55:49.799372700 -0700
@@ -18,8 +18,8 @@
 {
 
 /**
- * \brief The Supported Rates Information Element
- * \ingroup wifi
+ * @brief The Supported Rates Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise the Supported
  * Rates Element that holds the first 8 (non-HT) supported rates.
@@ -40,8 +40,8 @@
     /**
      * Return the rate (converted back to raw value) at the given index.
      *
-     * \param i the given index
-     * \return the rate in bps
+     * @param i the given index
+     * @return the rate in bps
      */
     uint32_t GetRate(uint8_t i) const;
 
@@ -54,8 +54,8 @@
 };
 
 /**
- * \brief The Extended Supported Rates Information Element
- * \ingroup wifi
+ * @brief The Extended Supported Rates Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise the Extended
  * Supported Rates Element that holds (non-HT) rates beyond the 8 that
@@ -69,8 +69,8 @@
 };
 
 /**
- * \brief Struct containing all supported rates.
- * \ingroup wifi
+ * @brief Struct containing all supported rates.
+ * @ingroup wifi
  *
  */
 struct AllSupportedRates
@@ -78,20 +78,20 @@
     /**
      * Add the given rate to the supported rates.
      *
-     * \param bs the rate to be added in bps
+     * @param bs the rate to be added in bps
      */
     void AddSupportedRate(uint64_t bs);
     /**
      * Set the given rate to basic rates.
      *
-     * \param bs the rate to be set in bps
+     * @param bs the rate to be set in bps
      */
     void SetBasicRate(uint64_t bs);
     /**
      * Add a special value to the supported rate set, corresponding to
      * a BSS membership selector
      *
-     * \param bs the special membership selector value (not a valid rate)
+     * @param bs the special membership selector value (not a valid rate)
      */
     void AddBssMembershipSelectorRate(uint64_t bs);
     /**
@@ -99,9 +99,9 @@
      * serialized to the Supported Rates Information Element (i.e. as a
      * multiple of 500 Kbits/sec, possibly with MSB set to 1).
      *
-     * \param bs the rate to be checked in bps
+     * @param bs the rate to be checked in bps
      *
-     * \return true if the rate is supported, false otherwise
+     * @return true if the rate is supported, false otherwise
      */
     bool IsSupportedRate(uint64_t bs) const;
     /**
@@ -109,9 +109,9 @@
      * serialized to the Supported Rates Information Element (i.e. as a
      * multiple of 500 Kbits/sec, with MSB set to 1).
      *
-     * \param bs the rate to be checked in bps
+     * @param bs the rate to be checked in bps
      *
-     * \return true if the rate is a basic rate, false otherwise
+     * @return true if the rate is a basic rate, false otherwise
      */
     bool IsBasicRate(uint64_t bs) const;
     /**
@@ -119,15 +119,15 @@
      * is encoded as it is serialized to the Supporting Rates Information
      * Element (i.e. with the MSB set to 1).
      *
-     * \param bs the rate to be checked in bps
+     * @param bs the rate to be checked in bps
      *
-     * \return true if the rate is a BSS membership selector, false otherwise
+     * @return true if the rate is a BSS membership selector, false otherwise
      */
     bool IsBssMembershipSelectorRate(uint64_t bs) const;
     /**
      * Return the number of supported rates.
      *
-     * \return the number of supported rates
+     * @return the number of supported rates
      */
     uint8_t GetNRates() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/table-based-error-rate-model.cc ns-3.44/src/wifi/model/table-based-error-rate-model.cc
--- ns-3.43/src/wifi/model/table-based-error-rate-model.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/table-based-error-rate-model.cc	2025-03-09 16:55:49.799372700 -0700
@@ -70,7 +70,7 @@
 {
     NS_LOG_FUNCTION(this << snr);
     const auto multiplier = std::round(std::pow(10.0, precision));
-    return std::floor(snr * multiplier + 0.5) / multiplier;
+    return dB_u{std::floor(snr * multiplier + 0.5) / multiplier};
 }
 
 std::optional<uint8_t>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/table-based-error-rate-model.h ns-3.44/src/wifi/model/table-based-error-rate-model.h
--- ns-3.43/src/wifi/model/table-based-error-rate-model.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/table-based-error-rate-model.h	2025-03-09 16:55:49.799372700 -0700
@@ -23,16 +23,16 @@
 class WifiTxVector;
 
 /*
- * \ingroup wifi
- * \brief the interface for the table-driven OFDM error model
+ * @ingroup wifi
+ * @brief the interface for the table-driven OFDM error model
  *
  */
 class TableBasedErrorRateModel : public ErrorRateModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -40,9 +40,9 @@
     ~TableBasedErrorRateModel() override;
 
     /**
-     * \brief Utility function to convert WifiMode to an MCS value
-     * \param mode the WifiMode
-     * \return the equivalent MCS value, if found
+     * @brief Utility function to convert WifiMode to an MCS value
+     * @param mode the WifiMode
+     * @return the equivalent MCS value, if found
      */
     static std::optional<uint8_t> GetMcsForMode(WifiMode mode);
 
@@ -58,19 +58,19 @@
     /**
      * Round SNR to the specified precision
      *
-     * \param snr the SNR to round
-     * \param precision the precision to use
-     * \return the rounded SNR to the specified precision
+     * @param snr the SNR to round
+     * @param precision the precision to use
+     * @return the rounded SNR to the specified precision
      */
     dB_u RoundSnr(dB_u snr, double precision) const;
 
     /**
      * Fetch the frame success rate for a given Wi-Fi mode, TXVECTOR, SNR and frame size.
-     * \param mode the Wi-Fi mode
-     * \param txVector the TXVECTOR
-     * \param snr the SNR (linear scale)
-     * \param nbits the number of bits
-     * \return the frame success rate for a given Wi-Fi mode, TXVECTOR, SNR and frame size
+     * @param mode the Wi-Fi mode
+     * @param txVector the TXVECTOR
+     * @param snr the SNR (linear scale)
+     * @param nbits the number of bits
+     * @return the frame success rate for a given Wi-Fi mode, TXVECTOR, SNR and frame size
      */
     double FetchFsr(WifiMode mode, const WifiTxVector& txVector, double snr, uint64_t nbits) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/threshold-preamble-detection-model.h ns-3.44/src/wifi/model/threshold-preamble-detection-model.h
--- ns-3.43/src/wifi/model/threshold-preamble-detection-model.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/threshold-preamble-detection-model.h	2025-03-09 16:55:49.799372700 -0700
@@ -15,7 +15,7 @@
 namespace ns3
 {
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * A threshold-based model for detecting PHY preamble.
  * This model assumes that a preamble is successfully detected if SNR is at or above a given
@@ -26,8 +26,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
